Storyden
Plugins

Plugin Get Logs

Stream logs for a supervised plugin. If the plugin is running, this endpoint streams live logs after existing log history is sent. External plugins do not have host-managed logs and this endpoint returns a bad request error for external mode.

GET/plugins/{plugin_instance_id}/logs

Stream logs for a supervised plugin.

If the plugin is running, this endpoint streams live logs after existing log history is sent.

External plugins do not have host-managed logs and this endpoint returns a bad request error for external mode.

Authorization

storyden-session<token>

In: cookie

Path Parameters

plugin_instance_id*string

Plugin ID.

Formatxid

Response Body

text/event-stream

application/json

curl -X GET "https://example.com/plugins/string/logs"
"string"